function [C] = C_estimation(Y1,Y2,co)
%Cross estimation (C) of Y1 and Y2 (Y1(:,t), Y2(:,t) is the t^th sample) using the specified cross estimator (cost object co).
%
%Copyright (C) 2012 Zoltan Szabo ("http://nipg.inf.elte.hu/szzoli", "szzoli (at) cs (dot) elte (dot) hu")
%
%This file is part of the ITE (Information Theoretical Estimators) Matlab/Octave toolbox.
%
%ITE is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by
%the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
%
%This software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
%
%You should have received a copy of the GNU General Public License along with ITE. If not, see <http://www.gnu.org/licenses/>.

%Here, we make use of the naming convention 'C<name>_estimation', to ease embedding new cross estimation methods:

eval(['C=C',co.name,'_estimation(Y1,Y2,co);']); %example: CE = CCE_kNN_k_estimation(Y1,Y2,co);
